# Cycle Indicator Functions
### HT_DCPERIOD - Hilbert Transform - Dominant Cycle Period
NOTE: The ``HT_DCPERIOD`` function has an unstable period.  
```python
real = HT_DCPERIOD(close)
```

Learn more about the Hilbert Transform - Dominant Cycle Period at [tadoc.org](http://www.tadoc.org/indicator/HT_DCPERIOD.htm).  
### HT_DCPHASE - Hilbert Transform - Dominant Cycle Phase
NOTE: The ``HT_DCPHASE`` function has an unstable period.  
```python
real = HT_DCPHASE(close)
```

Learn more about the Hilbert Transform - Dominant Cycle Phase at [tadoc.org](http://www.tadoc.org/indicator/HT_DCPHASE.htm).  
### HT_PHASOR - Hilbert Transform - Phasor Components
NOTE: The ``HT_PHASOR`` function has an unstable period.  
```python
inphase, quadrature = HT_PHASOR(close)
```

Learn more about the Hilbert Transform - Phasor Components at [tadoc.org](http://www.tadoc.org/indicator/HT_PHASOR.htm).  
### HT_SINE - Hilbert Transform - SineWave
NOTE: The ``HT_SINE`` function has an unstable period.  
```python
sine, leadsine = HT_SINE(close)
```

Learn more about the Hilbert Transform - SineWave at [tadoc.org](http://www.tadoc.org/indicator/HT_SINE.htm).  
### HT_TRENDMODE - Hilbert Transform - Trend vs Cycle Mode
NOTE: The ``HT_TRENDMODE`` function has an unstable period.  
```python
integer = HT_TRENDMODE(close)
```

Learn more about the Hilbert Transform - Trend vs Cycle Mode at [tadoc.org](http://www.tadoc.org/indicator/HT_TRENDMODE.htm).  

[Documentation Index](../doc_index.html)
[FLOAT_RIGHTAll Function Groups](../funcs.html)
